Bug 1000840 - [abrt] WARNING: at drivers/usb/core/urb.c:327 usb_submit_urb+0x3be/0x3d0()
[abrt] WARNING: at drivers/usb/core/urb.c:327 usb_submit_urb+0x3be/0x3d0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:51c623a999b034f44f137169a18...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-25 16:56 EDT by Christopher Antila
Modified: 2013-10-08 12:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (75.78 KB, text/plain)
2013-08-25 16:56 EDT, Christopher Antila
no flags Details

  None (edit)
Description Christopher Antila 2013-08-25 16:56:29 EDT
Description of problem:
I was running JACK on a USB audio interface. I killed JACK, restarted it with my internal soundcard, then killed (and auto-spawned) PulseAudio. When I unplugged my USB interface, ABRT fired up.

The crash only happens sometimes when I do these things, but usually I delete the bug.

Additional info:
reporter:       libreport-2.1.6
WARNING: at drivers/usb/core/urb.c:327 usb_submit_urb+0x3be/0x3d0()
URB ffff88032e900300 submitted while active
Modules linked in: snd_seq_midi snd_seq_midi_event snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_seq_dummy snd_hrtimer fuse rfcomm bnep nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables arc4 iwldvm mac80211 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm mperf coretemp kvm_intel kvm rtsx_pci_ms iTCO_wdt memstick rtsx_pci_sdmmc snd_page_alloc snd_timer mmc_core iwlwifi iTCO_vendor_support thinkpad_acpi btusb bluetooth cfg80211 snd mei_me mei r8169 microcode mii lpc_ich rtsx_pci soundcore wmi rfkill mfd_core i2c_i801 uinput dm_crypt i915 crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm i2c_core video
CPU: 5 PID: 0 Comm: swapper/5 Not tainted 3.10.9-200.fc19.x86_64 #1
Hardware name: LENOVO 3259CTO/3259CTO, BIOS H0ET70WW (2.04 ) 09/11/2012
 0000000000000009 ffff88041e343d60 ffffffff8163910b ffff88041e343d98
 ffffffff8105c221 0000000000000018 ffff8803f65b1c00 ffff8803f65b2c00
 ffff8803f65b2c00 ffff8803f65b2c20 ffff88041e343df8 ffffffff8105c28c
Call Trace:
 <IRQ>  [<ffffffff8163910b>] dump_stack+0x19/0x1b
 [<ffffffff8105c221>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c28c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8106b168>] ? __internal_add_timer+0xc8/0x130
 [<ffffffff8106b337>] ? internal_add_timer+0x17/0x40
 [<ffffffff81456abe>] usb_submit_urb+0x3be/0x3d0
 [<ffffffffa05fc10f>] snd_usbmidi_submit_urb+0xf/0x50 [snd_usbmidi_lib]
 [<ffffffffa05fc998>] snd_usbmidi_error_timer+0x78/0xb0 [snd_usbmidi_lib]
 [<ffffffffa05fc920>] ? snd_usbmidi_do_output+0x100/0x100 [snd_usbmidi_lib]
 [<ffffffff8106a506>] call_timer_fn+0x36/0x110
 [<ffffffffa05fc920>] ? snd_usbmidi_do_output+0x100/0x100 [snd_usbmidi_lib]
 [<ffffffff8106c1f9>] run_timer_softirq+0x1e9/0x290
 [<ffffffff81064997>] __do_softirq+0xf7/0x240
 [<ffffffff81064c75>] irq_exit+0xb5/0xc0
 [<ffffffff816494ae>] smp_apic_timer_interrupt+0x6e/0x9c
 [<ffffffff8164831d>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff814e82b2>] ? cpuidle_enter_state+0x52/0xc0
 [<ffffffff814e82a8>] ? cpuidle_enter_state+0x48/0xc0
 [<ffffffff814e83e9>] cpuidle_idle_call+0xc9/0x210
 [<ffffffff81019dbe>] arch_cpu_idle+0xe/0x30
 [<ffffffff810aa45e>] cpu_startup_entry+0xce/0x280
 [<ffffffff8162e1bc>] start_secondary+0x24e/0x250
Comment 1 Christopher Antila 2013-08-25 16:56:36 EDT
Created attachment 790174 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:52:41 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:10:18 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.